This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id:
71502
Status:
open
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
cpan [...] adamspiers.org
Cc:
AdminCc:

BugTracker
Severity:
Normal
Broken in:
0.3800
Fixed in:
(no value)



Subject: Lack of clarity around support for CPAN Meta Spec versions
Based on http://search.cpan.org/dist/Module- Build/lib/Module/Build.pm#distmeta I was led to believe that Module::Build supported version 2 of the CPAN Meta Spec. I wasted a lot of time trying different things in my Build.PL before debugging the Module::Build code and finding out that it is apparently hardcoded at 1.4. Ideally it would support whatever version you pass in via 'meta- spec' => { version => $version }, but until then, the docs need to be clearer about which version is supported.
That's a good point. The supported version should be documented.


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.